> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Portfolio table



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/Position/GetPortfolioTable
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Position/GetPortfolioTable:
    post:
      tags:
        - Position
      summary: Get Portfolio table
      operationId: GetPortfolioTable
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetPortfolioTableRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetPortfolioTableRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetPortfolioTableRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetPortfolioTableRequest'
        description: The portfolio table request.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetPortfolioTableResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetPortfolioTableRequest:
      example:
        portfolio_date: '2000-01-23T04:56:07.000+00:00'
        portfolio_name: portfolio_name
      properties:
        portfolio_date:
          format: date-time
          type: string
        portfolio_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Positions.ApiGetPortfolioTableRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetPortfolioTableResponse:
      required:
        - $type
      type: object
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        data_table:
          nullable: true
          type: array
          items:
            type: object
            additionalProperties: true
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Positions.ApiGetPortfolioTableResponse,
              Derivitec.Web.Core
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````